/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\           Settings           /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef SETTING_H_
#define SETTING_H_
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include "cbtime.h"
#include "colour.h"
/* Define Bool */
#define TRUE 1
#define FALSE 0
/* Define Date */
#define DATE 75

/*---------------------------------------------------------------------------*/

/* Settings */
float HORI;
float VERT;
/* Short int */
short int T4;
short int C4;
/* Char */
char YES[10];
char NOT[10];
char white[30];
char black[30];
char ndate[DATE];

/* Class Player */
struct player
{
	/* UCI */
	char uci;
	char uciok;
	/* Engine */
	char isready;
	char readyok;
	char ucinewgame;
	/* Time */
	short int time;
	/* Result */
	char result;

}eboard, wboard, bboard;

/* Function */
void cbyes();
void clockmode();
void ucimode();
void pgnmode();
void windows();
void settings(char *ipadr, char *chess);

/*---------------------------------------------------------------------------*/

#endif


