/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\           Settings           /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef SETTING_H_
#define SETTING_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include "cbtime.h"
#include "colour.h"
/* Define Date */
#define DATE 75

//-----------------------------------------------------------------------------

class Set
{
public:	
	/* Settings */
	float HORI;
	float VERT;
	/* Short int */
	short int T4;
	short int C4;
	/* Char */
	char YES[10];
	char NOT[10];
	char white[30];
	char black[30];
	char ndate[DATE];

	/* Class Player */
	struct player
	{
		/* UCI */
		char uci;
		char uciok;
		/* Engine */
		char isready;
		char readyok;
		char ucinewgame;
		/* Time */
		short int time;
		/* Result */
		char result;

	}eboard, wboard, bboard;

	/* Function */
	Set();
	void cbyes();
	void clockmode();
	void ucimode();
	void pgnmode();
	void windows();
	void settings(char *ipadr, char *chess);
};

//-----------------------------------------------------------------------------

#endif


