/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\             Menu             /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef MENU_H_
#define MENU_H_
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include "colour.h"
/* Define Key */
#define ENTER 10
#define ESCAPE 27
#define XW 0x57
#define XB 0x42
#define XE 0x45
#define XS 0x53
#define XC 0x43
#define XG 0x47

/*---------------------------------------------------------------------------*/

/* Function */
void delete_Menu(WINDOW **item,int count);
WINDOW **draw_Menu(int start_col);
int scroll_Menu(WINDOW **item,int count,int menu_start_col);

/*---------------------------------------------------------------------------*/

#endif



